%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global modname tw2.d3

Name:           python-tw2-d3
Version:        0.0.8
Release:        2%{?dist}
Summary:        Data-Driven Documents for ToscaWidgets2

Group:          Development/Languages
License:        MIT
URL:            http://toscawidgets.org
Source0:        http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:      noarch

# For building, generally
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if %{?rhel}%{!?rhel:0} >= 6
BuildRequires:  python-webob1.0 >= 0.9.7
%else
BuildRequires:  python-webob >= 0.9.7
%endif
BuildRequires:  python-tw2-core
BuildRequires:  python-tw2-jquery
BuildRequires:  python-paste-deploy

# Runtime requirements
Requires:       python-tw2-core
Requires:       python-tw2-jquery
Requires:       python-mako

%description
ToscaWidgets is a web widget toolkit for Python to aid in the creation,
packaging and distribution of common view elements normally used in the web.

tw2.d3 is a wrapper for the d3 javascript library.

%prep
%setup -q -n %{modname}-%{version}

%if %{?rhel}%{!?rhel:0} >= 6
# Make sure that epel/rhel picks up the correct version of webob
awk 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"WebOb>=1.0\"]; import pkg_resources"}1' setup.py > setup.py.tmp
mv setup.py.tmp setup.py
%endif

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

%files
%doc README.rst LICENSE.txt
%{python_sitelib}/tw2/d3
%{python_sitelib}/%{modname}-%{version}*


%changelog
* Thu Jun 07 2012 Ralph Bean <rbean@redhat.com> - 0.0.8-2
- More explicit directory ownership.
- Fixed bogus changelog.

* Mon Jun 04 2012 Ralph Bean <rbean@redhat.com> - 0.0.8-1
- Initial packaging for Fedora.
